モニター作成
POST /api/v1/monitors
POST
/api/v1/monitors
新しいモニターを作成する。write スコープが必要。 プラン上限 (モニター数・最小チェック間隔) を超える場合は 402 エラー。
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
type
required
string
name
通知やステータスページで表示される名前。省略時はconfigから自動生成されます。
string
config
required
モニタータイプごとの設定。 webchange の場合: { url, selector?, checkType, changeMode? }
- changeMode: “tamper” (変更検知後ダウン状態を維持、デフォルト) または “track” (変更を記録しアップ状態を維持)
object
intervalSeconds
integer
serviceId
割り当てるステータスページの ID。省略時はチームのデフォルトステータスページに割り当てられます。
string
Responses
Section titled “ Responses ”モニター作成成功
object
monitor
object
id
string
teamId
string
type
string
name
string
config
Type-specific configuration
object
intervalSeconds
integer
status
string
isActive
integer
lastCheckedAt
string format: date-time
maintenanceUntil
ISO 8601 timestamp until which the monitor is under maintenance. Null when not in maintenance.
string format: date-time
autoResolveMaintenance
Whether maintenance auto-resolves (1) or requires manual resolution (0).
integer
createdAt
string format: date-time
updatedAt
string format: date-time
バリデーションエラー
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billingプラン上限超過
object
error
object
code
string
Example
VALIDATION_ERROR message
string
Example
Invalid request body status
integer
Example
400 upgradeUrl
URL to upgrade plan (only present for plan limit errors)
string
Example
https://app.manako.dev/billing